package com.liang.service;

import com.liang.entity.StaDirector;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * 负责人(StaDirector)表服务接口
 *
 * @author makejava
 * @since 2023-04-09 21:54:44
 */
public interface StaDirectorService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    StaDirector queryById(Integer id);

    /**
     * 通过主表ID查询数据
     *
     * @param zb 主表
     * @return 实例对象
     */
    List<StaDirector> queryByZbId(Integer zb);

    /**
     * 分页查询
     *
     * @param staDirector 筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<StaDirector> queryByPage(StaDirector staDirector, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param staDirector 实例对象
     * @return 实例对象
     */
    StaDirector insert(StaDirector staDirector);

    int insertBatch(List<StaDirector> list);

    /**
     * 修改数据
     *
     * @param staDirector 实例对象
     * @return 实例对象
     */
    StaDirector update(StaDirector staDirector);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 批量删除
     *
     * @param
     * @returni
     */
    int batchDelete(List<Integer> dList, Integer zb);

    /**
     * 根据主表id删除记录
     *
     * @param zbId
     * @return
     */
    boolean deleteByZbId(Integer zbId);
}
